﻿@model BuyCurrencyViewModel

<form asp-controller="Purchase" asp-action="BuyCurrency" 
asp-route-price="@Model.Price" 
asp-route-name="@Model.Name"
asp-route-UserAccountId="@ViewBag.AccountId"
method="post">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Price/USD</th>
                <th scope="col">Amount</th>
                <th scope="col">Amount USD</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td class="col-sm-3" name="Name">@Model.Name</td>
                <td class="Price col-sm-3" name="Price">@Model.Price</td>
                <td class="Number col-sm-3">
                    <input type="number" step="0.01" placeholder="currencies count" name="Amount" value="" name="Number"/>
                </td>
                <td class="totalPrice col-sm-3">
                </td>
                <td>
                    <button type="submit" class="btn btn-success">Buy</button>
                </td>
            </tr>
        </tbody>
    </table>
</form>


<script>
    let price = document.querySelector(".Price").firstChild;
    let numberElement = document.querySelector(".Number > input");
    let totalPriceElement = document.querySelector(".totalPrice");
    let inputElement = document.createElement("input");
    //inputElement.setAttribute("type", "Number");
    inputElement.setAttribute("Name", "TotalPrice");
    totalPriceElement.appendChild(inputElement);

    numberElement.addEventListener("keyup", function (e) {
        e.preventDefault();

        inputElement.value = parseFloat(numberElement.value / price.data).toFixed(4);

        console.log("Hello");
        console.log(numberElement.value);
    });
</script>